<html>

<head>
  <!-- Bootstrap core CSS -->
  <link href="/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <!-- Image preview-->
    <link href="/styesheets/imagePreview.css" type="text/css" rel="stylesheet">
<%include ./../partial/home_navigation%>
<!-- jquery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</head>

<body class="container m-auto" style="padding-top: 100px;">
  <% include ./../partial/messages %>


  <div class="row">
    <div class="form-group">      
      <div class="card mr-auto" text-align="center">
        <div class="card-header">
          <h3 class="card-title">Add New Product</h3>
        </div>

        <div class="card-body">
          <div class="col-md-auto">
            <form id="product-form" action="/product/addProduct" method="post" enctype="multipart/form-data">
              <label for="inputState">Categories:</label>
              <select  id="inputState" class="category-picker form-control" name="category">
                <%result.forEach(res => {%>
                <option value="<%=res.id%> "> <%= res.name%></option>
                <%});%>
              </select>
              <%result.forEach(res => {%>
              <%const id= res.id%>
              <%});%>
                  <br>
          
          <label for="exampleInputEmail1">Product Name:</label>
          <input type="" class="form-control" name="product" id="exampleInputEmail1" aria-describedby="emailHelp"
            placeholder="Product's name"><br>
          <div class="form-group ">
            <label>Descriptions:</label><br><textarea rows="4" name="description" cols="50"></textarea>
            <br><br>
          </div>
            <div class="form-group">
              <label for="currency-field">Enter Amount ($):</label>
              <input type="number" name="price" name="currency-field" id="currency-field" class="form-control" value=""
                placeholder="$1,000,000.00">
            </div>
            <div class="form-group">
        <label for="">Image</label>
        <input type="file" class="form-control" name="image" id="image">
        <img src="#" id="imgPreview" alt="">
    </div>
          <div class="form-group">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
          
        </form>
      
        </div>
        
    
      </div>
      </div>
    </div>
  </div> <!--./row-->
        
  <script>
    
    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            
            reader.onload = function(e) {
                $("#imgPreview").attr('src', e.target.result).width(100).height(100);
            }
            
            reader.readAsDataURL(input.files[0]);
        }
    }
    
    $("#image").change(function() {
        readURL(this);
    });
    
</script>


</body>

</html>